## org.plovr
Class ModuleConfig.ModuleInfo

    java.lang.Object
      org.plovr.ModuleConfig.ModuleInfo

Enclosing class:
  ModuleConfig

    public static class ModuleConfig.ModuleInfo

extends java.lang.Object

Constructor Summary
`ModuleConfig.ModuleInfo()`

Method Summary
`java.util.List<java.lang.String>` `getDeps()`
`java.util.List<java.lang.String>` `getInputs()`
`java.lang.String` `getName()`
`void` `setDeps(java.util.List<java.lang.String> deps)`
`void` `setInputs(java.util.List<java.lang.String> inputs)`
`void` `setName(java.lang.String name)`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ModuleConfig.ModuleInfo

    public ModuleConfig.ModuleInfo()

Method Detail

### setName

    public void setName(java.lang.String name)

### getName

    public java.lang.String getName()

### getInputs

    public java.util.List<java.lang.String> getInputs()

### setInputs

    public void setInputs(java.util.List<java.lang.String> inputs)

### getDeps

    public java.util.List<java.lang.String> getDeps()

### setDeps

    public void setDeps(java.util.List<java.lang.String> deps)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`